# Uses of Interface
org.xnio.channels.StreamSourceChannel

Packages that use StreamSourceChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.
org.xnio.conduits
The XNIO conduit SPI.
org.xnio.streams
Utility classes for creating streams which use XNIO channels.

## Uses of StreamSourceChannel in org.xnio

Methods in org.xnio with type parameters of type StreamSourceChannel
Modifier and Type
Method
Description
`static <T extends StreamSourceChannel>
ChannelListener<T>`
ChannelListeners.`drainListener(long bytes, ChannelListener<? super T> finishListener, ChannelExceptionHandler<? super T> exceptionHandler)`
Create a channel listener which automatically drains the given number of bytes from the channel and then calls a listener.
`static <T extends StreamSourceChannel>
ChannelListener<T>`
ChannelListeners.`fileReceivingChannelListener(FileChannel target, long position, long count, ChannelListener<? super T> delegate, ChannelExceptionHandler<? super T> exceptionHandler)`
A file-receiving channel listener.
`static <I extends StreamSourceChannel, O extends StreamSinkChannel>
void`
ChannelListeners.`initiateTransfer(long count, I source, O sink, ChannelListener<? super I> sourceListener, ChannelListener<? super O> sinkListener, ChannelExceptionHandler<? super I> readExceptionHandler, ChannelExceptionHandler<? super O> writeExceptionHandler, Pool<ByteBuffer> pool)`
Initiate a low-copy transfer between two stream channels.
`static <I extends StreamSourceChannel, O extends StreamSinkChannel>
void`
ChannelListeners.`initiateTransfer(I source, O sink, Pool<ByteBuffer> pool)`
Initiate a low-copy transfer between two stream channels.
Methods in org.xnio that return StreamSourceChannel
Modifier and Type
Method
Description
`protected StreamSourceChannel`
XnioWorker.`getInflatingChannel(StreamSourceChannel delegate, Inflater inflater)`
Create a stream channel that decompresses the source data according to the configuration in the given inflater.
`StreamSourceChannel`
XnioWorker.`getInflatingChannel(StreamSourceChannel delegate, OptionMap options)`
Create a stream channel that decompresses the source data according to the configuration in the given option map.
Methods in org.xnio that return types with arguments of type StreamSourceChannel
Modifier and Type
Method
Description
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoFactory.`createHalfDuplexPipe()`
Create a one-way stream pipe.
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoFactory.`createHalfDuplexPipe(XnioIoFactory peer)`
Create a one-way stream pipe.
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoThread.`createHalfDuplexPipe()`
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoThread.`createHalfDuplexPipe(XnioIoFactory peer)`
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioWorker.`createHalfDuplexPipe()`
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioWorker.`createHalfDuplexPipe(XnioIoFactory peer)`
Methods in org.xnio with parameters of type StreamSourceChannel
Modifier and Type
Method
Description
`protected StreamSourceChannel`
XnioWorker.`getInflatingChannel(StreamSourceChannel delegate, Inflater inflater)`
Create a stream channel that decompresses the source data according to the configuration in the given inflater.
`StreamSourceChannel`
XnioWorker.`getInflatingChannel(StreamSourceChannel delegate, OptionMap options)`
Create a stream channel that decompresses the source data according to the configuration in the given option map.
Method parameters in org.xnio with type arguments of type StreamSourceChannel
Modifier and Type
Method
Description
`void`
XnioWorker.`createOneWayPipe(ChannelListener<? super StreamSourceChannel> sourceListener, ChannelListener<? super StreamSinkChannel> sinkListener, OptionMap optionMap)`
Deprecated.
Users should prefer the simpler `XnioWorker.createHalfDuplexPipe()` instead.

## Uses of StreamSourceChannel in org.xnio.channels

Subinterfaces of StreamSourceChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
`interface`
`ConnectedStreamChannel`
A stream channel that is a connection between a local and remote endpoint.
`interface`
`StreamChannel`
A stream channel.
Classes in org.xnio.channels that implement StreamSourceChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
`class`
`AssembledStreamChannel`
A stream channel assembled from a stream source and stream sink.
`class`
`EmptyStreamSourceChannel`
A stream source channel which is always empty.
`final class`
`FixedLengthStreamSourceChannel`
A channel which reads data of a fixed length and calls a finish listener.
`final class`
`PushBackStreamChannel`
A stream source channel which can have data pushed back into it.
`final class`
`SplitStreamSourceChannel`
A half-duplex (read side) wrapper for a full-duplex channel.
Methods in org.xnio.channels that return StreamSourceChannel
Modifier and Type
Method
Description
`StreamSourceChannel`
FixedLengthStreamSourceChannel.`getChannel(Object guard)`
`StreamSourceChannel`
PushBackStreamChannel.`getChannel()`
Methods in org.xnio.channels that return types with arguments of type StreamSourceChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends StreamSourceChannel>`
StreamSourceChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends StreamSourceChannel>`
StreamSourceChannel.`getReadSetter()`
Get the setter which can be used to change the read listener for this channel.
Methods in org.xnio.channels with parameters of type StreamSourceChannel
Modifier and Type
Method
Description
`static long`
Channels.`drain(StreamSourceChannel channel, long count)`
Attempt to drain the given number of bytes from the stream source channel.
`static void`
Channels.`transferBlocking(FileChannel destination, StreamSourceChannel source, long startPosition, long count)`
Transfer bytes between two channels efficiently, blocking if necessary.
`static long`
Channels.`transferBlocking(StreamSinkChannel destination, StreamSourceChannel source, ByteBuffer throughBuffer, long count)`
Transfer bytes between two channels efficiently, blocking if necessary.
`long`
AssembledStreamChannel.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
FixedLengthStreamSinkChannel.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
NullStreamSinkChannel.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
SplitStreamSinkChannel.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
StreamSinkChannel.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
Transfers bytes from the given channel source.
Constructors in org.xnio.channels with parameters of type StreamSourceChannel
Modifier
Constructor
Description
``
`AssembledConnectedSslStreamChannel(SslChannel sslChannel, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledConnectedSslStreamChannel(StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledConnectedStreamChannel(ConnectedChannel connection, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledConnectedStreamChannel(StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledStreamChannel(CloseableChannel closeable, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledStreamChannel(StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`BlockingReadableByteChannel(StreamSourceChannel delegate)`
Construct a new instance.
``
`BlockingReadableByteChannel(StreamSourceChannel delegate, long readTimeout, TimeUnit readTimeoutUnit)`
Construct a new instance.
``
`FixedLengthStreamSourceChannel(StreamSourceChannel delegate, long contentLength, boolean configurable, boolean propagateClose, ChannelListener<? super FixedLengthStreamSourceChannel> finishListener, Object guard)`
Construct a new instance.
``
`FixedLengthStreamSourceChannel(StreamSourceChannel delegate, long contentLength, boolean configurable, ChannelListener<? super FixedLengthStreamSourceChannel> finishListener, Object guard)`
Construct a new instance.
``
`FixedLengthStreamSourceChannel(StreamSourceChannel delegate, long contentLength, ChannelListener<? super FixedLengthStreamSourceChannel> finishListener, Object guard)`
Construct a new instance.
``
`PushBackStreamChannel(StreamSourceChannel channel)`
Construct a new instance.
``
`SplitStreamSourceChannel(StreamSourceChannel delegate)`
Construct a new instance which doesn't delegate configuration.
``
`SplitStreamSourceChannel(StreamSourceChannel delegate, boolean delegateConfig)`
Construct a new instance.

## Uses of StreamSourceChannel in org.xnio.conduits

Classes in org.xnio.conduits that implement StreamSourceChannel
Modifier and Type
Class
Description
`final class`
`ConduitStreamSourceChannel`
A stream source channel which wraps a stream source conduit.
Methods in org.xnio.conduits with parameters of type StreamSourceChannel
Modifier and Type
Method
Description
`long`
AbstractStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
BlockingStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
BufferedStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
ConduitStreamSinkChannel.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
DeflatingStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
FixedLengthStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
MessageStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
NullStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
StreamSinkChannelWrappingConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
`long`
StreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
Transfers bytes from the given channel source.
`long`
SynchronizedStreamSinkConduit.`transferFrom(StreamSourceChannel source, long count, ByteBuffer throughBuffer)`
Constructors in org.xnio.conduits with parameters of type StreamSourceChannel
Modifier
Constructor
Description
``
`StreamSourceChannelWrappingConduit(StreamSourceChannel channel)`
Construct a new instance.

## Uses of StreamSourceChannel in org.xnio.streams

Fields in org.xnio.streams declared as StreamSourceChannel
Modifier and Type
Field
Description
`protected final StreamSourceChannel`
ChannelInputStream.`channel`
Constructors in org.xnio.streams with parameters of type StreamSourceChannel
Modifier
Constructor
Description
``
`BufferedChannelInputStream(StreamSourceChannel channel, int bufferSize)`
Construct a new instance.
``
`BufferedChannelInputStream(StreamSourceChannel channel, int bufferSize, long timeout, TimeUnit unit)`
Construct a new instance.
``
`ChannelInputStream(StreamSourceChannel channel)`
Construct a new instance.
``
`ChannelInputStream(StreamSourceChannel channel, long timeout, TimeUnit timeoutUnit)`
Construct a new instance.